<table class="table table-striped table-bordered">
  <tr>
    <th>Overall length (bp)</th>
    <th>Number of genes</th>
    <th>Longest gene (bp)</th>
    <th>Dataset</th>
    <th>Current gene</th>
  </tr>
  <tr>
    <td>{{cvCtrl.contig._source['length']}}</td>
    <td>{{cvCtrl.contig.genes.length}}</td>
    <td>{{cvCtrl.longestGeneLength}}</td>
    <td>{{cvCtrl.dataset.name}}</td>
    <td>{{cvCtrl.geneid}}</td>
  </tr>
  <tr class="no-cell-borders">
    <td colspan="2" style="width: 35%">
      <form class="form-inline">
        <div class="form-group">
          <label for="highlightSelector">Highlight genes based on</label>
          <select ng-options="option.value as option.label group by option.type for option in cvCtrl.highlightOptions"
                  ng-model="cvCtrl.highlight" class="form-control" id="highlightSelector">
          </select>
        </div>
      </form>
    </td>

    <td colspan="3" style="width: 65%">
      <div class="cv-legend" ng-if="cvCtrl.highlight === 'cog' && !cvCtrl.loading">
        <div ng-repeat="(key, value) in cvCtrl.COG_LETTER_MAP"
             ng-if="cvCtrl.visibleCogs.indexOf(key) !== -1">
          <i class="fa fa-fw fa-square bg-color-{{key.toLowerCase()}}"></i>
          <span class="cv-legend-key">[{{key}}]</span> {{value}}
        </div>
      </div>
      <div class="cv-legend" ng-if="cvCtrl.highlight !== 'cog' && !cvCtrl.loading">
        <div class="cv-legend-item" ng-repeat="(key, value) in cvCtrl.taxColorMap">
          <i class="fa fa-fw fa-square bg-color-{{value}}"></i>{{key}}
        </div>
      </div>
    </td>
  </tr>
  <tr>
    <td colspan="4">
      <form class="form-inline" ng-show="cvCtrl.coverageInfoAvailable">
        <div class="form-group">
          <label>
            <input type="checkbox" ng-model="cvCtrl.displayCoverage" ng-disabled="cvCtrl.loading">
            Display coverage for reads
            <span ng-hide="cvCtrl.displayCoverage">
              (where available)
            </span>
            <span ng-show="cvCtrl.displayCoverage && cvCtrl.availableCoverageNames.length > 0">
              originating from
            </span>
          </label>
          <select ng-options="value for value in cvCtrl.availableCoverageNames"
                  ng-model="cvCtrl.coverageName" class="form-control"
                  ng-show="cvCtrl.displayCoverage && cvCtrl.availableCoverageNames.length > 0">
          </select>
        </div>
      </form>
      <div ng-show="!cvCtrl.coverageInfoAvailable">
        No coverage information available for this dataset.
      </div>
    </td>
    <td>
      <div ng-if="cvCtrl.genbankExportEnabled" style="margin-bottom:5px;">
        <button type="button" class="btn btn-default"
                ng-click="cvCtrl.downloadContigGbk()"
                uib-tooltip="Download contig as GenBank file" tooltip-placement="top">
          <i class="fa fa-fw fa-download"></i>GenBank (.gbk)
        </button>
        <a id="download-contig-gbk" style="display: none"
           download="{{cvCtrl.downloadFilename}}.contig.gbk"
           ng-href="{{cvCtrl.downloadUrl}}">Download</a>
      </div>
      <div>
        <button type="button" class="btn btn-default"
                ng-click="cvCtrl.downloadContigFaa()"
                uib-tooltip="Download as proteins fasta file" tooltip-placement="top">
          <i class="fa fa-fw fa-download"></i>proteins (.faa)
        </button>
        <a id="download-contig-faa" style="display: none"
           download="{{cvCtrl.downloadFilename}}.contig.faa"
           ng-href="{{cvCtrl.downloadUrl}}">Download</a>
      </div>
    </td>
  </tr>
</table>
<i ng-show="cvCtrl.loading" class="fa fa-spinner fa-pulse"></i>
<svg></svg>
